- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_bgp – Configures BGP on Mellanox ONYX network devices

New in version 2.5.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of BGP router and neighbors on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
as_number - / required |  | Local AS number.
ecmp_bestpath boolean added in 2.9 | Choices: no yes | Enables ECMP across AS paths.
evpn boolean added in 2.9 | Choices: no yes | Configure evpn peer-group.
fast_external_fallover boolean added in 2.9 | Choices: no yes | will configure fast_external_fallover when it is True.
max_paths - added in 2.9 |  | Maximum bgp paths.
neighbors - |  | List of neighbors. Required if state=present.
| multihop - |  | multihop number.
| neighbor - / required |  | Neighbor IP address.
| remote_as - / required |  | Remote AS number.
networks - |  | List of advertised networks.
purge boolean added in 2.8 | Choices: no ← yes | will remove all neighbors when it is True.
router_id - |  | Router IP address.
state - | Choices: present ← absent | BGP state.
vrf - added in 2.9 |  | vrf name.

## Notes

Note

- Tested on ONYX 3.6.4000

## Examples

    - name: configure bgp
      onyx_bgp:
        as_number: 320
        router_id: 10.3.3.3
        neighbors:
          - remote_as: 321
            neighbor: 10.3.3.4
          - remote_as: 322
            neighbor: 10.3.3.5
            multihop: 250
        purge: True
        state: present
        networks:
          - 172.16.1.0/24
        vrf: default
        evpn: yes
        fast_external_fallover: yes
        max_paths: 32
        ecmp_bestpath: yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['router bgp 320 vrf default', 'exit', 'router bgp 320 router-id 10.3.3.3 force', 'router bgp 320 vrf default bgp fast-external-fallover', 'router bgp 320 vrf default maximum-paths 32', 'router bgp 320 vrf default bestpath as-path multipath-relax force', 'router bgp 320 vrf default neighbor evpn peer-group', 'router bgp 320 vrf default neighbor evpn send-community extended', 'router bgp 320 vrf default address-family l2vpn-evpn neighbor evpn next-hop-unchanged', 'router bgp 320 vrf default address-family l2vpn-evpn neighbor evpn activate', 'router bgp 320 vrf default address-family l2vpn-evpn auto-create', 'router bgp 320 vrf default neighbor 10.3.3.4 remote-as 321', 'router bgp 320 vrf default neighbor 10.3.3.4 ebgp-multihop 250', 'router bgp 320 vrf default neighbor 10.3.3.5 remote-as 322', 'router bgp 320 vrf default network 172.16.1.0 /24']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd), Anas Badaha (@anasb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.